Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.persistence
Class JPATaskPersistenceContextManager

    java.lang.Object
      org.drools.persistence.jpa.AbstractPersistenceContextManager
          org.jbpm.services.task.persistence.JPATaskPersistenceContextManager

All Implemented Interfaces:
  org.kie.internal.task.api.TaskPersistenceContextManager

    public class JPATaskPersistenceContextManager

extends org.drools.persistence.jpa.AbstractPersistenceContextManager
implements org.kie.internal.task.api.TaskPersistenceContextManager

Field Summary

Fields inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager
`appScopedEntityManager, cmdScopedEntityManager, emf, env, internalAppScopedEntityManagerFlag, internalCmdScopedEntityManagerFlag, txm`

Constructor Summary
`JPATaskPersistenceContextManager(Environment environment)`

Method Summary
`void` | `beginCommandScopedEntityManager()`
`org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()`

Methods inherited from class org.drools.persistence.jpa.AbstractPersistenceContextManager
`dispose, endCommandScopedEntityManager, getApplicationScopedEntityManager, getCommandScopedEntityManager, getInternalCommandScopedEntityManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.task.api.TaskPersistenceContextManager
`dispose, endCommandScopedEntityManager`

Constructor Detail

### JPATaskPersistenceContextManager

    public JPATaskPersistenceContextManager(Environment environment)

Method Detail

### getPersistenceContext

    public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

  Specified by:
    `getPersistenceContext` in interface `org.kie.internal.task.api.TaskPersistenceContextManager`

### beginCommandScopedEntityManager

    public void beginCommandScopedEntityManager()

  Specified by:
    `beginCommandScopedEntityManager` in interface `org.kie.internal.task.api.TaskPersistenceContextManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.